REST API to get a list of the activites
Status: New Start date:  
Target version:    

Resolution:    

Description

Hi,

I would like to enrich a time recording solution to be able to select a ticket from redmine.

Therefore it would be great to have a REST API like the time entries with input variables for:

- User

- Date

- Time

- Project

to retrieve all the tickets the user was working on this specific date. Time and project would be nice additional filter values.

Regards, Vanessa

Related issues:

Related to Redmine - Feature #14872: Activities REST API New

History

#1 - 2016-02-24 14:21 - Vanessa Martinez

At least this would reflect the informations that are presented in the "Activity" for a project.

#2 - 2016-02-27 13:21 - Vanessa Martinez

- Status changed from New to Resolved

#3 - 2016-02-27 15:11 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Duplicate

Duplicate of #14872.

#4 - 2016-02-27 15:11 - Toshi MARUYAMA

- Is duplicate of Feature #14872: Activities REST API added

#5 - 2016-11-07 22:51 - Chris Burgess

Please re-open this issue.

#22109 proposes exposing the existing Redmine Activity view via an API.

#14872 proposes introducing a new entity for lightweight notifications from systems external to Redmine. It proposes the name "Activities" which

already has a meaning in Redmine context (any Redmine entity modified within a date range).

These are not duplicates, but the confusing terminology on the latter ticket makes them appear so.

#6 - 2016-11-25 06:38 - Toshi MARUYAMA

- Is duplicate of deleted (Feature #14872: Activities REST API)

#7 - 2016-11-25 06:38 - Toshi MARUYAMA

- Related to Feature #14872: Activities REST API added
#8 - 2016-11-25 06:38 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

#9 - 2019-11-12 11:58 - Tom Coopman

Any update regarding this? Would like to fetch the activity of a user for a specific date. For instance;

- "user 1 changed status of ticket #.... from 'new' to 'done'"

- "user 1 assigned ticket #... to user 2"
